.body2
{
 width: 100%;
}

.topmenublock {
    width: 1400px;
    margin: 0 auto;
    border: 1px solid #e7e7e7;
    flex-grow: 0;

    display: flex;
    flex-direction: row; 
}

.user_info {
    border: 1px solid #e7e7e7;
    flex-grow: 1;
    display: flex;
    flex-direction: column; 
}

.menucont {
    display: inline-block;
    height:    70    px;
    max-width: 1400px;
    min-width: 1000px;
    padding: 0 0 0;
    margin: 0 0 0;
    text-align: center;
    margin-bottom: 0px;
}

.logocontact {
    display: block;
    float: left;
    border: 0;
    margin: 13px 0px 0 20px;
    max-width: 250px;
}

.mainblock {
    height: 100%;
    width: 100%;
    border: 1px solid #e7e7e7;
/*    padding: 18px 0;*/
    display: flex;
    flex-direction: row; 

}

.leftblock {
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0 1.4% 0 1.7%;
    border-right: 1px solid #e7e7e7;

    flex-grow: 1;    
    align-self: flex-start;

    display: flex;
    flex-direction: column; 

    scrollbar-width: thin;
    scrollbar-color: #9ed788 black;
}

.rightblock {
    height: 100%;
    width: 23%;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0 1.4% 0 1.7%;

    flex-grow: 0;    
    align-self: flex-end;

    display: flex;
    flex-direction: column; 

    scrollbar-width: thin;
    scrollbar-color: #9ed788 black;
}

.main_sub {
    /*    position:fixed;
        bottom:0px;*/
        width: 1400px;
        height: 80px;
        background: #9ed788;
        border-radius: 0 0 10px 10px;
        padding: 0px 0px;
    /*    
        
        left: 50%;
        transform: translate(-50%, -50%);
    */
        margin: 0 auto;
        flex-grow: 0;

        display: flex;
        flex-direction: column;    
    }
/*
    .ttabtree
    {
        border-style: outset;
        border-width: 1px;
        display: inline-block;
        width: 100%;
    }

.ttabcell
{
    border-style: outset;
    padding: 0px;
    margin: 0px;
    border-width: 1px;
    font-size: 12px;
}

.tdivstatus
{
    display: inline-block;
}

.tdivstatus
{
    width: 373px;  
    display: inline-block;
    font-size: 12px;
    border-width: 1px;
}

*/    
.tree_block
{
  width: 100%;
  display: flex;
  flex-direction: column;    
  border: 1px solid #9ed788;  
}

.tree_row
{
  width: 100%;
  display: flex;
  flex-direction: row;    
  border-width: 1px;
  flex-grow: 0;
}

.tree_cell
{
  flex-grow: 1;
  border: 1px solid #9ed788;   
}

.ttabtextarea
{
    margin: 0px;
    resize: none; 
    width: 96%;  
}

.whiteline {   
    position:relative;
    height: 30px;
    width: 100%;
    left: 0;
}

.objdevblock {
    border: 1px solid #e7e7e7;
    border-radius: 10px 10px 10px 10px;
    padding: 0px 10px 0px 10px;
    text-align:left;
    flex-grow: 1;
    align-self: center;
    display: flex;
    flex-direction: column;    
}

.searchblock {
    border: 1px solid #e7e7e7;
    border-radius: 10px 10px 10px 10px;
    padding: 10px 10px 0px 10px;
    text-align:right;
    flex-grow: 1;
    align-self: center;
    display: flex;
    flex-direction: row;
    vertical-align: middle;
    height: 33px
}

.searchselect {
    border: 1px solid #d9d9d9;
    border-radius: 2px;
    position: relative;
    width: 210px;
    padding: 0 30px 0 10px;
    height: 24px;
    background: #FFFFFF;
    flex-grow: 1;
}

.searchselect:focus {
    border-color: #9abce1;
    box-shadow: 0 0 5px #568ecc;
}


.tform
{ 
 visibility: hidden;
 position: fixed; 
 left: 50%;
 top: 50%;
 border-style: outset;
 border-width: 2px;
 background-color:white;
 z-index: 10000;
 overflow:hidden;
 width: 700px;
 height: 80vh;

 transform: translate(-50%, -50%);
 padding: 0 0;

 border-bottom: 1px solid #e7e7e7;
 border: 1px solid #e7e7e7;
 border-radius: 10px 10px 10px 10px;

/* display: flex;
 flex-direction: column; */
}
.tform22
{ 
 visibility: hidden;
 position: fixed; 
 left: 50%;
 top: 50%;
 border-style: outset;
 border-width: 2px;
 background-color:white;
 z-index: 10000;
 overflow:hidden;
 width: 700px;
 height: 250px;
 transform: translate(-50%, -50%);
 padding: 0 0;

 border-bottom: 1px solid #e7e7e7;
 border: 1px solid #e7e7e7;
 border-radius: 10px 10px 10px 10px;

/* display: flex;
 flex-direction: column; */
}

/*
.tform .scroll {
    height: 358px;
    position: relative;
}

.tform .block  {
    width: 680px;
    position: relative;
}

.tform .block .scroll {
    width: 670px;
    position: relative;
}
*/
.form_header {
    display: block;
    background: gray;
    color: white;
    padding: 10px 20px 10px 0px;
    font-size: 16px;
    flex-grow: 0;
    width: 100%;
    height: 40px;
    display: flex;
    flex-direction: row; 
    flex-grow: 0;        
}

.form_properties {
    width: 100%;
    height: 65vh;
    flex-grow: 1;        
    overflow: hidden;
    display: block;
}

.myscrl {
    height: 90%;
    width: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    display: block;
    scrollbar-width: thin;
    scrollbar-color: #46EAF9 black;
}

.form_row {    
    padding: 20px 5px;
    width: 98%;
    display: flex;
    align-items: center;
    border: 2px solid black; 
    border-radius: 5px;

}

.form_col_left {
    flex-grow: 1;
    height: 100%;
}

.form_col_right {
    flex-grow: 0;
    height: 100%;
}

.form_sub {
    display: block;
    background: #46EAF9;
    padding: 10px 0px;
    flex-grow: 0;
    width: 100%;
    height: 40px;
}

.searchrow {
    position: relative;
    display: flex;
    flex-direction: row;
    flex-grow: 0;    
    width:100%;
}

.tdw
{
    border: 5px solid black; 
    text-align: center;    
    margin: 10px 10px;
    width: 100px;
    height: 100px;
    display: flex;
}

.tdh
{
    font-weight: bold;
    text-align: center;
    margin: 10px 10px;
    width: 100px;
    white-space: nowrap;
}

.pagination {
    flex-grow: 1;
    text-align: center; 
  }

.pagination button {
    padding: 5px 10px;
    margin: 0 5px;
    cursor: pointer;
    background: #46EAF9;
    outline: 1px solid #494a4f;
    border-radius: 1px;
    border: none;
    color: black;
  }  

  .repbutton {
    padding: 5px 10px;
    margin: 0 5px;
    cursor: pointer;
    background: #46EAF9;
    outline: 1px solid #494a4f;
    border-radius: 1px;
    border: none;
    color: black;
  }  

  .pagination  button:hover {
    background: black;
    color: #fff;
}

.repbutton:hover {
    background: black;
    color: #fff;
}

.pagination button:disabled 
{
    background-color: #ccc; /* Серый цвет для заблокированной кнопки */
    color: #666; /* Тихий цвет текста */
    cursor: not-allowed; /* Указывает, что действие невозможно */
}

.pagination button.active {
    background-color: #007bff;
    color: white;
  }

.rep_container {
    max-width: 1400px;
    min-width: 1000px;
    padding: 0 5px;
    margin: 0 auto;
}

.calendar {
    float: right;
    display: block;
    background: url("../images/calendar.jpg") no-repeat;
    width: 10px;
    height: 10px;
    border: 0;
    margin: 5px 0 0 7px;
}


.tvisform
{ 
 visibility: visible;
 position: absolute; 
 left: 40%;
 top: 30%;
 border-style: outset;
 border-width: 2px;
 background-color:white;
 z-index: 10000;
 overflow:hidden;
 width: 500px;
}


.tth
{
 height: 20px;
 align: center;
 background-color: gray;
} 

.hid
{ 
 visibility: hidden;
}

 
.easyui-timespinner
{
	border-style:solid;
	border-width:1px;
	border-color:#D3D3D3;
                height:20px;
                width: 50px;
	position:relative;
	top:1px;
}

.my-div-icon {
    width: 300px;    
}

.my-div-span {
  color: blue;
  font-weight: 600;  
  width: 300px;    
}

.my-div-image {
    width: 30px;
}
#table2 {
    width: 100%;
/*    height: 270px;    height: 570px; */
    margin: 40px auto;
/*    overflow: visible !important; */
}

#table2 table {
/*    display: block; */
    border: 1px solid #ccc;
    border-radius: 4px;
}

#table2 table th {
    background: #f7f7f7;
    font-size: 13px;
    color: #606060;
    text-align: center;
    border-right: 1px solid #ccc;
}

#table2 table td {
    border-right: 1px solid #ccc;

}

#table3 {
    margin: 40px auto;
    width: 100%;
/*    display: flex;
    flex-direction: column; */
}

#table3 table {
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 100%;
}

#table3 table th {
    background: #f7f7f7;
    font-size: 13px;
    color: #606060;
    text-align: center;
    border-right: 1px solid #ccc;
}

#table3 table td {
    border-right: 1px solid #ccc;

}

#global_message {
    border-radius: 4px;
    border: 1px solid #ccc;
    border-radius: 10px 10px 10px 10px;
    padding: 5px 0px;
    background: #a73636;
    text-align: center;
    margin-bottom: 5px;    
    color: white;
}

.switch-btn {
    display: inline-block;
    width: 62px; /* ширина переключателя */
    height: 24px; /* высота переключателя */
    border-radius: 12px; /* радиус скругления */
    background: #bfbfbf; /* цвет фона */
    z-index: 0;
    margin: 0;
    padding: 0;
    border: none;
    cursor: pointer;
    position: relative;
    transition-duration: 300ms; /* анимация */
}
.switch-btn::after {
    content: "";
    height: 36px; /* высота кнопки */
    width: 36px; /* ширина кнопки */
    border-radius: 18px; /* радиус кнопки */
    background: #fff; /* цвет кнопки */
    top: -6px; /* положение кнопки по вертикали относительно основы */
    left: -6px; /* положение кнопки по горизонтали относительно основы */
    transition-duration: 300ms; /* анимация */
    box-shadow: 0 0 10px 0 #999999; /* тень */
    position: absolute;
    z-index: 1;
}
.switch-on {
    background: #fff;
    box-shadow: inset 0 0 10px 0 #999999; /* тень */
}
.switch-on::after {
    left: 30px;
    background: #46EAF9;
}

